package com.loafle.overflow.service.central.auth;

import com.loafle.overflow.model.auth.AuthCrawler;
import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawler;

/**
 * Created by geek on 17. 11. 7.
 */
public interface AuthCrawlerService {
  @WebappAPI
  AuthCrawler regist(AuthCrawler authCrawler) throws OverflowException;

  @WebappAPI
  boolean checkAuthCrawler(Long infraId, MetaCrawler metaCrawler, String authJson) throws OverflowException;

  @WebappAPI
  AuthCrawler readByMetaCrawlerIDAndTargetID(Short metaCrawlerID, Long targetID) throws OverflowException;
}
