package com.loafle.overflow.model.meta;

import javax.persistence.*;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_TARGET_ZONE_TYPE", schema = "public")
@DiscriminatorValue("1")
public class MetaTargetZoneType extends MetaTargetType {
  public MetaTargetZoneType() {
  }

  public MetaTargetZoneType(Integer id) {
    this.setId(id);
  }

  public static enum Enum {
    UNKNOWN(1),
    ZONE(2),
    ;

    private final Integer value;

    /**
     * @param value
     */
    Enum(final Integer value) {
      this.value = value;
    }

    public MetaTargetZoneType to() {
      return new MetaTargetZoneType(this.value);
    }
  }
}
